(function(){ 
  'use strict';
  SwaggerUi.Views.HeaderView = Backbone.View.extend({
    events: {
      'click #filter'                : 'filterAPI',
      'keyup #input_filter'          : 'filterAPIOnKeyup'
    },

    initialize: function(){},

    filterAPIOnKeyup: function(e){
      if (e.keyCode === 13) {
        this.filterAPI();
      }
    },

    filterAPI: function(e){
      if (e) {
        e.preventDefault();
      }

      var newUrl = "/ibm/api/docs";
      var filter = $('#input_filter').val();
      if (filter) {
        var params = filter.split(',');
        for (var i=0; i < params.length; i++) {
          if (i == 0) {
            newUrl = newUrl + "?root=" + encodeURIComponent(params[0]);
          } else {
            newUrl = newUrl + "&root=" + encodeURIComponent(params[i]);
          }
        }
      }
      
      this.trigger('update-swagger-ui', {
        url: newUrl
      });
    },

    update: function(url, apiKey, trigger){
      if (trigger === undefined) {
        trigger = false;
      }

      $('#input_baseUrl').val(url);

      //$('#input_apiKey').val(apiKey);
      if (trigger) {
        this.trigger('update-swagger-ui', {url:url});
      }
    }
});
}).call(this);